Bug 256142 - devel/py-apispec: Update to 4.4.2
Summary: devel/py-apispec: Update to 4.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/marshmallow-code/a...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-25 09:26 UTC by Goran Mekić
Modified: 2021-05-26 07:10 UTC (History)
1 user (show)

See Also:


Attachments
apispec.diff (843 bytes, patch)
2021-05-25 09:26 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff
apispec-distversion.diff (843 bytes, patch)
2021-05-26 06:47 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2021-05-25 09:26:45 UTC
Created attachment 225244 [details]
apispec.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 13.0, amd64 tested)
  * maketest: OK (433 passed, 23 warnings)
Comment 1 Nuno Teixeira freebsd_committer 2021-05-26 06:37:05 UTC
Hello!

Could you please use DISTVERSION instead of PORTVERSION:
---
Example 2. Using DISTVERSION

When the version only contains numbers separated by dots, dashes or underscores, use DISTVERSION.

PORTNAME=   nekoto
DISTVERSION=	1.2-4

It will generate a PORTVERSION of 1.2.4.
---
https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 2 Goran Mekić 2021-05-26 06:47:09 UTC
Created attachment 225268 [details]
apispec-distversion.diff

I changed it to DISTVERSION and retested (make test / poudriere / portlint).
Comment 3 commit-hook freebsd_committer 2021-05-26 07:08:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a2e0ed8dc4364663edcadf6b5dcde2b95a89eb16

commit a2e0ed8dc4364663edcadf6b5dcde2b95a89eb16
Author:     Goran MekiÄ <meka@tilda.center>
AuthorDate: 2021-05-26 07:04:50 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-05-26 07:08:32 +0000

    devel/py-apispec: Update to 4.4.2

    - Use DISTVERSION instead of PORTVERSION

    ChangeLog: https://github.com/marshmallow-code/apispec/blob/dev/CHANGELOG.rst#442-2020-05-24

    PR:             256142
    Approved by:    dbaio, garga (mentors, implicit)

 devel/py-apispec/Makefile | 2 +-
 devel/py-apispec/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 4 Nuno Teixeira freebsd_committer 2021-05-26 07:10:06 UTC
Commited thanks!